Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.foundation
Class StateImpl

    java.lang.Object
      |
      +--com.beasys.commerce.foundation.BelongingImpl
            |
            +--com.beasys.commerce.foundation.StateImpl

public class StateImpl
extends BelongingImpl
implements State

Represents a discrete state in a state machine or workflow. It is contained by a StateMachine and refered to by Transitions

See Also:
  `State`, `StateHome`, Serialized Form

Field Summary
`java.lang.String` | `name` A name that identifies the state uniquely within the context of a state machine.

Fields inherited from class com.beasys.commerce.foundation.BelongingImpl
`__classIdentifier, __containingBelonging, __containingEntity, __mapKey, __sequenceNumber, _isDirty`

Constructor Summary
`StateImpl()`

Method Summary
`int` | `compareTo(java.lang.Object o)`
`void` | `enter(Transition trans)` This method is invoked whenever the state is entered.
`void` | `error(Transition trans)` This method is invoked whenever the state is transitioned from in erro.
`void` | `exit(Transition trans)` This method is invoked whenever the state is transitioned from.
`TransitionPolicy` | `getEnterPolicy()` Get the transition policy that is invoked when the state is entered.
`TransitionPolicy` | `getErrorPolicy()` Set the transition policy that is invoked when the state is exited with an invalid transition.
`TransitionPolicy` | `getExitPolicy()` Get the transition policy that is invoked when the state is exited.
`java.lang.String` | `getName()` Get the value of name
`java.lang.String` | `interfaceName()`
`void` | `setByValue(Belonging value)`
`void` | `setEnterPolicy(TransitionPolicy policy)` Set a transition policy that is invoked when the state is entered.
`void` | `setErrorPolicy(TransitionPolicy policy)` Set a transition policy that is invoked when the state is exited with an invalid transition.
`void` | `setExitPolicy(TransitionPolicy policy)` Set a transition policy that is invoked when the state is exited.
`void` | `setName(java.lang.String name)` Set the value of name
`Belonging` | `value()`

Methods inherited from class com.beasys.commerce.foundation.BelongingImpl
`clearRelationalBinding, clearRelationalBinding, clearRelationalBinding, clearRelationalBinding, clone, doRelationalBinding, doRelationalBinding, doRelationalBindingOnElement, doRelationalBindingOnElement, doRelationalBindingOnElement, doRelationalBindingOnSingleton, doRelationalBindingOnSingleton, doRelationalBindingOnSingleton, doRelationalBindingWithMapKey, doRelationalBindingWithMapKey, doRelationalBindingWithMapKey, enumerateRelationalBinding, enumerateRelationalBinding, equals, get__classIdentifier, get__containingBelonging, get__containingEntity, get__containingEntityReference, get__mapKey, get__sequenceNumber, getPersistenceHelperPlugin, hashCode, set__classIdentifier, set__containingBelonging, set__containingEntity, set__containingEntityReference, set__mapKey, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### name

    public java.lang.String name

  A name that identifies the state uniquely within the context of a state machine.

                        name
       [State] <*>------> [java.lang.String]

Constructor Detail

### StateImpl

    public StateImpl()

Method Detail

### getName

    public java.lang.String getName()

  Get the value of name
  Specified by:
    getName in interface State

  Returns:
    name.

### setName

    public void setName(java.lang.String name)

  Set the value of name
  Specified by:
    setName in interface State

  Parameters:
    `name` - name to be added

### value

    public Belonging value()

### interfaceName

    public java.lang.String interfaceName()

### setByValue

    public void setByValue(Belonging value)

  Overrides:
    setByValue in class BelongingImpl

### compareTo

    public int compareTo(java.lang.Object o)

  Overrides:
    compareTo in class BelongingImpl

### enter

    public void enter(Transition trans)

  This method is invoked whenever the state is entered. It searches for an enter policy and invokes it.
  Specified by:
    enter in interface State

### exit

    public void exit(Transition trans)

  This method is invoked whenever the state is transitioned from. It searches for an Exit Policy and invokes it if present.
  Specified by:
    exit in interface State

### error

    public void error(Transition trans)

  This method is invoked whenever the state is transitioned from in erro. It searches for an Error Policy and invokes it if present
  Specified by:
    error in interface State

### setEnterPolicy

    public void setEnterPolicy(TransitionPolicy policy)

  Set a transition policy that is invoked when the state is entered.
  Specified by:
    setEnterPolicy in interface State

### getEnterPolicy

    public TransitionPolicy getEnterPolicy()

  Get the transition policy that is invoked when the state is entered.
  Specified by:
    getEnterPolicy in interface State

### setExitPolicy

    public void setExitPolicy(TransitionPolicy policy)

  Set a transition policy that is invoked when the state is exited.
  Specified by:
    setExitPolicy in interface State

### getExitPolicy

    public TransitionPolicy getExitPolicy()

  Get the transition policy that is invoked when the state is exited.
  Specified by:
    getExitPolicy in interface State

### setErrorPolicy

    public void setErrorPolicy(TransitionPolicy policy)

  Set a transition policy that is invoked when the state is exited with an invalid transition.
  Specified by:
    setErrorPolicy in interface State

### getErrorPolicy

    public TransitionPolicy getErrorPolicy()

  Set the transition policy that is invoked when the state is exited with an invalid transition.
  Specified by:
    getErrorPolicy in interface State

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved